<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.dugudlabs.com
 * @since             1.0.0
 * @package           Eyewear_virtual_try_on_wordpress
 *
 * @wordpress-plugin
 * Plugin Name:       SpecFit
 * Plugin URI:        https://www.dugudlabs.com/specfit
 * Description:       SpecFit adds a virtual try on pop up to your Eye Wear store without any efforts.Enjoy! Also checkout pro versions at https://www.dugudlabs.com/specfit
 * Version:           1.1.3
 * Author:            DugudLabs
 * Author URI:        https://www.dugudlabs.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       eyewear_virtual_try_on_wordpress
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'SPEFIT_V1_PLUGIN_NAME_VERSION', '1.1.3' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-eyewear_virtual_try_on_wordpress-activator.php
 */
function activate_eyewear_virtual_try_on_wordpress() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eyewear_virtual_try_on_wordpress-activator.php';
	Eyewear_virtual_try_on_wordpress_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-eyewear_virtual_try_on_wordpress-deactivator.php
 */
function deactivate_eyewear_virtual_try_on_wordpress() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-eyewear_virtual_try_on_wordpress-deactivator.php';
	Eyewear_virtual_try_on_wordpress_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_eyewear_virtual_try_on_wordpress' );
register_deactivation_hook( __FILE__, 'deactivate_eyewear_virtual_try_on_wordpress' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-eyewear_virtual_try_on_wordpress.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_eyewear_virtual_try_on_wordpress() {

	$plugin = new Eyewear_virtual_try_on_wordpress();
	$plugin->run();

}
run_eyewear_virtual_try_on_wordpress();
